Skip to main content

Get OTP Brute Force Status

The Get OTP Brute Force status Digitanium API gets OTP Brute Force lock status of a user.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v3/users/{userName}/otp-brute-force

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}/otp-brute-force
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameters fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
otp_disabledBooleanotp_disabled explains the status of the user, whether the user got locked (true) or unlocked (false) by OTP Brute Force. Refer Response status Information for details.
otp_numFailuresIntegerotp_numFailures is the number of failures occured for the user to get locked (true). Refer Response status Information for details.
otp_lastIPFailureStringotp_lastIPFailure is the website's last IP domain used by the User.
otp_lastFailureLongOtp_lastFailure results the timestamp when the user was locked.

Sample Response​

{
"message": "User Otp brute force status fetched successfully",
"status": "Success",
"subSystem": 5,
"data": {
"otp_disabled": true,
"otp_numFailures": 5,
"otp_lastIPFailure": "127.0.0.1",
"otp_lastFailure": 1659965023172
}

Response Status Information​

Status CodeStatusMessage
200SuccessUsers info fetched successfully
401UnauthorizedHTTP 401 Unauthorized